summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndrea Canciani <ranma42@gmail.com>2012-09-20 11:20:08 +0200
committerAndrea Canciani <ranma42@gmail.com>2012-09-20 16:32:24 +0200
commitf90373314effbffd841a660d4799c8806dd123b8 (patch)
treec6e8d8a0efaec608bb40474e28d760fbc12d0537
parent2fdfba871ad0b7d786a85580802c9aa143be4f2c (diff)
Add autogen.sh
This is useful when simpleops is used as a submodule in another project.
-rwxr-xr-xautogen.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/autogen.sh b/autogen.sh
new file mode 100755
index 0000000..a4fa9a2
--- /dev/null
+++ b/autogen.sh
@@ -0,0 +1,10 @@
+#! /bin/sh
+
+srcdir=`dirname $0`
+test -z "$srcdir" && srcdir=.
+
+ORIGDIR=`pwd`
+cd $srcdir
+
+autoreconf -v --install || exit 1
+cd $ORIGDIR || exit $?